In this directory are a number of scalable problems.

Compilation:

After a 'make install' for the distribution, type 'make' in this
directory to build the executable 'solve_problem'

Usage:

Typing 'solve_problem list' will show the list of all registered
problems.

Typing 'solve_problem PROBLEM_NAME N' will solve a problem, where
PROBLEM_NAME is the name of a registered problem, and N is a positive
integer determining the size of the problem (the actual number of
variables can be much larger, e.g. N*N).  For some problems, certain
restrictions apply; if an invalid N is given, those conditions will be
printed.

The implementation in MittelmannDist* examples are using virtual
methods to overload the specific problem functions for the individual
examples.  A more efficient implementation using templates is done in
MittelmannParaCntrl.hpp, which is a better example for coding.
